%define	__prefix	/usr/local

Summary: Add-on locale support for Darwin
Name: libxpg4
%define version 20010605
Version: %{version}
Release: 1a
Group: System Environment/Libraries
Source0: http://www.ab.wakwak.com/~tino/darwin/libxpg4-darwin-20010605.tar.gz
Patch0: http://www.ab.wakwak.com/~tino/darwin/localedata.tar.gz
Copyright: BSD
BuildRoot: %{_tmppath}/%{name}-root

%description
Add-on locale support for Darwin.

%package devel
Summary: Development tools for programs which will use the locale library.
Group: Development/Libraries
Requires: libxpg4 = %{PACKAGE_VERSION}

%description devel
This package contains the static library for development of
programs that use the libxpg4 library.



%prep
%setup -n libxpg4

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{__prefix}/{lib,share}
cp -p libxpg4.{dylib,a} $RPM_BUILD_ROOT%{__prefix}/lib
tar -zxpvf $RPM_SOURCE_DIR/localedata.tar.gz -C $RPM_BUILD_ROOT%{__prefix}/share


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,wheel)
%{__prefix}/lib/lib*.dylib
%{__prefix}/share/locale/*

%files devel
%{__prefix}/lib/lib*.a

